Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modhelxs.mocs.tfsm
Class FSMState

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.ObservableEntity
              modhelxs.abstractsemantics.Block
                  modhelxs.abstractsemantics.AtomicBlock
                      modhelxs.mocs.tfsm.FSMState

All Implemented Interfaces:
  AtomicBlock, Block, NamedEntity, ObservableEntity

    public class FSMState

extends AtomicBlock

Field Summary
`private Pin` | `in_`
`private Pin` | `out_`

Constructor Summary
`FSMState(java.lang.String name)`

Method Summary
`Relation` | `transitionTo(FSMState to, java.lang.String guard, java.lang.String action)`
`void` | `update()` Update the interface of the observable: take inputs into account, update outputs.

Methods inherited from class modhelxs.abstractsemantics.AtomicBlock
`emitObservationRequests, endOfSnapshot, endOfUpdate, prep, reset, setup, startOfSnapshot, startOfUpdate, validate, wrapup`

Methods inherited from class modhelxs.abstractsemantics.Block
`connect, connectFromInterfaceBlock, connectFromModel, connectFromRegularBlock, getEngine, getInputPins, getMoC, getOutputPins, getParent, getSolver, getTimeOfRequest, hasObservationRequest, sanityCheck, setParent`

Methods inherited from class modhelxs.abstractsemantics.ObservableEntity
`addPin, getInterface, getPin`

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.Block
`getParent`

Methods inherited from interface modhelxs.ecore.ObservableEntity
`getInterface`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Field Detail

### in_

    private final Pin in_

### out_

    private final Pin out_

Constructor Detail

### FSMState

    public FSMState(java.lang.String name)

Method Detail

### transitionTo

    public Relation transitionTo(FSMState to,
                                 java.lang.String guard,
                                 java.lang.String action)

### update

    public void update()

  Description copied from class: `ObservableEntity`
  Update the interface of the observable: take inputs into account, update outputs.

  Specified by:
    `update` in class `ObservableEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD